//========================================================

class Bd_Component extends Bd_Object {

//========================================================
    //----------------------------------------------------
    load_component(url){
    //----------------------------------------------------

        super(null, {});
        this.url=baseurl;
        // site map
        new Query(this,url,this.onLoadFile,"obj");
        //$("#"+this.node).load("./__init__.xml");


    }
    //----------------------------------------------------

    onLoadFile(data){

    //----------------------------------------------------
        //console.log(data);
        this.data=data;
        data.attach(this);
        //this.data.print();
        //console.log(data);
        this.setup();

    }
    //----------------------------------------------------

    onSetup(){

    //----------------------------------------------------



    }
    //----------------------------------------------------


}
//========================================================



